All Classes Namespaces Functions Variables Groups Pages
MysqlSqlUtil::MysqlForeignConstraint Class Reference

represents a MySQL-specific foreign constraint More...

Inheritance diagram for MysqlSqlUtil::MysqlForeignConstraint:
[legend]

## Public Member Functions

string | getDropSql (string table_name)
| returns a string that can be used to drop the foreign constraint from the database
softlist | getRenameSql (string table_name, string new_name)
| returns a string that drops the constraint and re-adds it, since MySQL does not support renaming constraints

## Detailed Description

represents a MySQL-specific foreign constraint